﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
    public class BasicPlcTestSchemeDtlService : BaseService<bas_plc_test_scheme_dtl>, IBasicPlcTestSchemeDtlService
    {
        /// <summary>
        /// 根据方案id查找所有的方案明细
        /// </summary>
        /// <param name="schemeId"></param>
        /// <returns></returns>
        public List<bas_plc_test_scheme_dtl> FindAllBySchId(long schemeId)
        {
            return base.GetList(x => x.scheme_id == schemeId);
        }
        /// <summary>
        /// 根据 方案id和测试项名称 查找方案明细schdtlID，主要用在更新中
        /// </summary>
        /// <param name="schemeId"></param>
        /// <returns></returns>
        public bas_plc_test_scheme_dtl FindSchDtlIdBySchIdAndItem(long schemeId,string itemName)
        {
            
            return base.GetFirst(x => (x.scheme_id == schemeId)&&(x.item_name==itemName));
        }
    }
}
